from django.db import models
from tinymce.models import HTMLField
from core.utils import SingletonModel
from db.help import buttons_help_text

# Create your models here.


class GrandPrixB(SingletonModel):
    content = HTMLField('Tekst GPB', default='', blank=True)
    buttons = models.TextField(
        'Przyciski', default='', blank=True, help_text=buttons_help_text)

    def __str__(self):
        return 'Grand Prix Białegostoku'

    class Meta:
        verbose_name = 'Grand Prix Białegostoku'
        verbose_name_plural = 'Grand Prix Białegostoku'
